package com.zd.chemical.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 化学品和机柜关联对象 hxp_cabinet_join_cabinet
 *
 * @author liubo
 * @date 2022-06-16
 */
@ApiModel("化学品和机柜关联")
public class HxpCabinetInclusionChemicalSon {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "化学品编号")
    private String joinNum;

    @ApiModelProperty(value = "锁名称")
    private String lockName;

    @ApiModelProperty(value = "分类")
    private String classifyName;

    @ApiModelProperty(value = "形态")
    private String chemicalShape;

    @ApiModelProperty(value = "纯度")
    private String purity;

    @ApiModelProperty(value = "规格")
    private String chemicalAmountUnit;

    @ApiModelProperty(value = "过期时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date expireTime;

    @ApiModelProperty(value = "状态")
    private String useStatus;

    @ApiModelProperty(value = "实时库存")
    private String outUsages;

    public String getJoinNum() {
        return joinNum;
    }

    public void setJoinNum(String joinNum) {
        this.joinNum = joinNum;
    }

    public String getClassifyName() {
        return classifyName;
    }

    public void setClassifyName(String classifyName) {
        this.classifyName = classifyName;
    }

    public String getChemicalShape() {
        return chemicalShape;
    }

    public void setChemicalShape(String chemicalShape) {
        this.chemicalShape = chemicalShape;
    }

    public String getPurity() {
        return purity;
    }

    public void setPurity(String purity) {
        this.purity = purity;
    }

    public String getChemicalAmountUnit() {
        return chemicalAmountUnit;
    }

    public void setChemicalAmountUnit(String chemicalAmountUnit) {
        this.chemicalAmountUnit = chemicalAmountUnit;
    }

    public Date getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(Date expireTime) {
        this.expireTime = expireTime;
    }

    public String getUseStatus() {
        return useStatus;
    }

    public void setUseStatus(String useStatus) {
        this.useStatus = useStatus;
    }

    public String getOutUsages() {
        return outUsages;
    }

    public void setOutUsages(String outUsages) {
        this.outUsages = outUsages;
    }

    public String getLockName() {
        return lockName;
    }

    public void setLockName(String lockName) {
        this.lockName = lockName;
    }
}
